# Class Population

java.lang.Object
ecoparasite.population.Population

All Implemented Interfaces:
  `DataParsing`

public class Population extends Object implements DataParsing
Permet de gérer une population selon les années.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Population(String id)`
  Constructeur.
  `Population(String id, PopulationArgs total)`
  Constructeur.
  `Population(String id, PopulationArgs total, HashMap<Integer, PopulationArgs> perYear)`
  Constructeur.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getId()`
  `HashMap<Integer, PopulationArgs>`
  `getPerYear()`
  `PopulationArgs`
  `getTotal()`
  `static HashSet<Population>`
  `parse(RawData data)`
  Raccourci vers les méthodes de DataParsing.
  `static HashSet<Population>`
  `parse(RawData data, int parseTypeId)`
  Raccourci vers les méthodes de DataParsing.
  `void`
  `setPerYear(HashMap<Integer, PopulationArgs> perYear)`
  `void`
  `setTotal(PopulationArgs total)`
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Population

    public Population(String id, PopulationArgs total, HashMap<Integer, PopulationArgs> perYear)
    Constructeur.
    Parameters:
      `id` - Espèce
      `total` - Les informations totales.
      `perYear` - Les informations par année.

  - ### Population

    public Population(String id, PopulationArgs total)
    Constructeur. Pour les informations par année, crée une HashMap vide. Devra être rempli après coup.
    Parameters:
      `id` - Espèce de la population.
      `total` - Les informations totales.

  - ### Population

    public Population(String id)
    Constructeur. Pour les informations du total, sont remplacés par null. Pour les informations par année, crée une HashMap vide. Devra être rempli après coup.
    Parameters:
      `id` - Espèce de la population.

- ## Method Details

  - ### getId

    public String getId()

  - ### getTotal

    public PopulationArgs getTotal()

  - ### getPerYear

    public HashMap<Integer, PopulationArgs> getPerYear()

  - ### setTotal

    public void setTotal(PopulationArgs total)

  - ### setPerYear

    public void setPerYear(HashMap<Integer, PopulationArgs> perYear)

  - ### parse

    public static HashSet<Population> parse(RawData data, int parseTypeId) throws RawDataOverflow, InvalidParsingException
    Raccourci vers les méthodes de DataParsing.
    Parameters:
      `data` - Notre objet RawData.
      `parseTypeId` - L'ID de parsing.
    Returns:
    Throws:
      `RawDataOverflow`
      `InvalidParsingException`

  - ### parse

    public static HashSet<Population> parse(RawData data)
    Raccourci vers les méthodes de DataParsing. Va par défaut faire ceux des parasites du Perou.
    Parameters:
      `data` - Notre objet RawData.
    Returns:
      Notre tableau de populations.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`